import Vue from 'vue'
import Loading from './index.vue'

const LoadingConstructor = Vue.extend(Loading);

const loading = function(options = {}) {
    const loadingInstance = new LoadingConstructor({
        data: options
    }).$mount();

    document.body.appendChild(loadingInstance.$el);

    return loadingInstance.closeLoading;
};

export default loading;
