/**
 * Author: zhangyutong
 * Date: 2021/5/15
 * Version: 1.0
 * Description: vuetifyjs-auxiliary
 * Function List:
 * History: null
 * Others: null
**/
// 导入所有component
import components from './components/index'

// 定义自动挂载方法
const auto_mount = function (packages, Vue) {
    Object.keys(packages).forEach(package_name => {
        // datetime: 2021年05月15日15:22:29
        // author: 张宇童
        // 这里的做法是获取所有的插件名称,并且挂载到Vue的原型上面
        Vue.prototype[`$${package_name}`] = packages[package_name];
    })
}

const install = function(Vue) {
    // 判断一下是否已经安装
    if (install.installed) return;
    install.installed = true;
    auto_mount(components, Vue)
}

export default {
    install
}
