/**
 * Author: zhangyutong
 * Date: 2021/5/14
 * Version: 1.0
 * Description: vue-auxiliary 命令库
 * Function List:
 * History: null
 * Others: null
**/
// 实现格式化时间
const format = (type, value) => {
    let d;
    let year;
    let month;
    let day;
    switch(type) {
        case 'date':
            d = new Date(value);
            year = d.getFullYear();
            month = d.getMonth() + 1;
            day = d.getDate();
            if (month < 10) {
                month = `0${month}`
            }
            if (day < 10) {
                day = `0${day}`
            }
            return `${year}年${month}月${day}日`
        case '123':
            return 'error';
        default:
            return new Error('没有找到type操作')
    }
}


export {
    format
}
